zabbix_export:
  version: '7.0'
  template_groups:
    - uuid: 7df96b18c230490a9a0a9e2307226338
      name: Templates
  templates:
    - uuid: f23c1bace4e54be6ac4d681d7a87179f
      template: 'Raritan PDU'
      name: 'Raritan PDU'
      description: |
        ## Overview
        
        Works older Raritan PX/PX8 PDUs
        
        Discovery rules:
        
        - Inlets  
        - Outlets  
        
        Made by Matt Ventura (mattventura.net)
        
        Based on a template for newer units. Original credits:
        
        ## Author
        
        eric_at_2037
        abrenner
      groups:
        - name: Templates
      items:
        - uuid: bf23bddae2a64284a3897ee799631914
          name: 'Device reachability using ICMP'
          type: SIMPLE
          key: icmpping
          delay: '3600'
          history: 90d
          trends: 1825d
          valuemap:
            name: 'Host status'
          preprocessing:
            - type: BOOL_TO_DECIMAL
              parameters:
                - ''
          tags:
            - tag: Application
              value: Information(s)
          triggers:
            - uuid: 6daff4b8812b4f3ebf0aa60dd9837f9c
              expression: 'last(/Raritan PDU/icmpping)=0'
              name: '{HOST.NAME} is UNREACHABLE or DOWN'
              priority: DISASTER
        - uuid: e7a3ef34ac644bad86c4f54fb2c65916
          name: 'Inlet Count'
          type: SNMP_AGENT
          snmp_oid: .1.3.6.1.4.1.13742.4.1.20.1.0
          key: inletCount
          delay: '3600'
          history: 90d
          trends: 1825d
          tags:
            - tag: Application
              value: Information(s)
        - uuid: c6758093e8ee4d4abb143e83537a7259
          name: 'Outlet Count'
          type: SNMP_AGENT
          snmp_oid: .1.3.6.1.4.1.13742.4.1.2.1.0
          key: outletCount
          delay: '3600'
          history: 90d
          trends: 1825d
          tags:
            - tag: Application
              value: Information(s)
        - uuid: 3a042a17641244e0a05bcf9274a1f44b
          name: 'Overcurrent Protector Count'
          type: SNMP_AGENT
          snmp_oid: .1.3.6.1.4.1.13742.4.1.5.1.0
          key: overCurrentProtectorCount
          delay: '3600'
          history: 90d
          trends: 1825d
          tags:
            - tag: Application
              value: Information(s)
        - uuid: 240a2df9a25a42379f6bf064e99cfed5
          name: 'Device Model Name'
          type: SNMP_AGENT
          snmp_oid: .1.3.6.1.4.1.13742.4.1.1.12.0
          key: pduBasicIdentModel
          delay: '3600'
          history: 90d
          value_type: CHAR
          trends: '0'
          inventory_link: TYPE
          tags:
            - tag: Application
              value: Information(s)
        - uuid: b7b3ef5dbec34ed4a868333224ebd4e1
          name: 'Device CPU Temperature'
          type: SNMP_AGENT
          snmp_oid: .1.3.6.1.4.1.13742.4.1.3.1.5.0
          key: pduCpuTemp
          delay: '60'
          history: 90d
          value_type: FLOAT
          trends: '0'
          preprocessing:
            - type: MULTIPLIER
              parameters:
                - '0.1'
          tags:
            - tag: Application
              value: Information(s)
        - uuid: 3acd72937b5d499285469bc74e9dcbd3
          name: 'Device Rated Current'
          type: SNMP_AGENT
          snmp_oid: .1.3.6.1.4.1.13742.4.1.1.25.0
          key: pduRatedA
          delay: '3600'
          history: 90d
          value_type: CHAR
          trends: '0'
          preprocessing:
            - type: MULTIPLIER
              parameters:
                - '0.001'
          tags:
            - tag: Application
              value: Information(s)
        - uuid: c0626e9ef6ef492b8413a69746d6bf78
          name: 'Device Rated Power'
          type: SNMP_AGENT
          snmp_oid: .1.3.6.1.4.1.13742.4.1.1.27.0
          key: pduRatedVA
          delay: '3600'
          history: 90d
          value_type: CHAR
          trends: '0'
          tags:
            - tag: Application
              value: Information(s)
        - uuid: 80a439e281e341969938ff73b9ef96c7
          name: 'Device Rated Voltage'
          type: SNMP_AGENT
          snmp_oid: .1.3.6.1.4.1.13742.4.1.1.26.0
          key: pduRatedVoltage
          delay: '3600'
          history: 90d
          value_type: CHAR
          trends: '0'
          tags:
            - tag: Application
              value: Information(s)
        - uuid: 07a4a70f5a12403084b969976be6bc97
          name: 'Device Serial Number'
          type: SNMP_AGENT
          snmp_oid: .1.3.6.1.4.1.13742.4.1.1.2.0
          key: pduSerialNumber
          delay: '3600'
          history: 90d
          value_type: CHAR
          trends: '0'
          inventory_link: SERIALNO_A
          tags:
            - tag: Application
              value: Information(s)
        - uuid: 7e18e85a230c46d3a3c8d1a7b03cc732
          name: Contact
          type: SNMP_AGENT
          snmp_oid: 'SNMPv2-MIB::sysContact.0'
          key: sysContact
          delay: '3600'
          history: 90d
          value_type: CHAR
          trends: '0'
          inventory_link: CONTACT
          tags:
            - tag: Application
              value: Information(s)
        - uuid: 2c8bc8bcb1724dc09088fcb08f7092ce
          name: 'Software version (full)'
          type: SNMP_AGENT
          snmp_oid: .1.3.6.1.4.1.13742.4.1.1.1.0
          key: sysDescr
          delay: '3600'
          history: 90d
          value_type: CHAR
          trends: '0'
          inventory_link: OS_FULL
          tags:
            - tag: Application
              value: Information(s)
        - uuid: c7d5466676204b65b60aa3419325ec20
          name: 'Device Location'
          type: SNMP_AGENT
          snmp_oid: 'SNMPv2-MIB::sysLocation.0'
          key: sysLocation
          delay: '3600'
          history: 90d
          value_type: CHAR
          trends: '0'
          inventory_link: LOCATION
          tags:
            - tag: Application
              value: Information(s)
        - uuid: 30db102e247a4797a8f1d45446f03cac
          name: 'Device Name'
          type: SNMP_AGENT
          snmp_oid: .1.3.6.1.4.1.13742.4.1.1.13.0
          key: sysName
          delay: '3600'
          history: 90d
          value_type: CHAR
          trends: '0'
          inventory_link: NAME
          tags:
            - tag: Application
              value: Information(s)
        - uuid: ae9bd5a2c319491881f16904c79f2525
          name: Uptime
          type: SNMP_AGENT
          snmp_oid: 'SNMPv2-MIB::sysUpTime.0'
          key: sysUpTime
          delay: '300'
          history: 90d
          trends: 1825d
          units: uptime
          preprocessing:
            - type: MULTIPLIER
              parameters:
                - '0.01'
          tags:
            - tag: Application
              value: Information(s)
          triggers:
            - uuid: 735532e6db414fa58b1a37d5a06404e1
              expression: 'last(/Raritan PDU/sysUpTime)<86400'
              name: 'Uptime is too low on {HOST.NAME}'
              priority: INFO
            - uuid: adaa24260ee84b26b366b65f7acbf37b
              expression: 'last(/Raritan PDU/sysUpTime)<3600'
              name: '{HOST.NAME} has just been restarted'
              priority: HIGH
      discovery_rules:
        - uuid: 37108349f92b4f678d04aedaae55f09d
          name: Inlets
          type: SNMP_AGENT
          snmp_oid: 'discovery[{#SNMPVALUE},.1.3.6.1.4.1.13742.4.1.20.2.1.1]'
          key: pduInlet
          delay: '3600'
          filter:
            conditions:
              - macro: '{#SNMPVALUE}'
                value: '.*'
                formulaid: A
          enabled_lifetime_type: DISABLE_NEVER
          item_prototypes:
            - uuid: 28bdcb0903f94fe6831c66b09cc40985
              name: 'Inlet Current Capability {#SNMPINDEX}'
              type: SNMP_AGENT
              snmp_oid: '.1.3.6.1.4.1.13742.4.1.20.2.1.4.{#SNMPINDEX}'
              key: 'inletRatedCurrent[{#SNMPVALUE}]'
              delay: '3600'
              history: 7d
              value_type: FLOAT
              trends: '0'
              units: A
              preprocessing:
                - type: MULTIPLIER
                  parameters:
                    - '0.001'
              tags:
                - tag: Application
                  value: Inlets
            - uuid: 38ef3add4cb746bca0d193ffbb003513
              name: 'Inlet Current {#SNMPINDEX}'
              type: SNMP_AGENT
              snmp_oid: '.1.3.6.1.4.1.13742.4.1.20.2.1.7.{#SNMPINDEX}'
              key: 'inletSensorDecimalDigitsrmsCurrent[{#SNMPVALUE}]'
              delay: '60'
              value_type: FLOAT
              units: A
              preprocessing:
                - type: MULTIPLIER
                  parameters:
                    - '0.001'
              tags:
                - tag: Application
                  value: Inlets
            - uuid: daf26864b2ff460b80000482b1892a5a
              name: 'Inlet Active Power {#SNMPINDEX}'
              type: SNMP_AGENT
              snmp_oid: '.1.3.6.1.4.1.13742.4.1.20.2.1.9.{#SNMPINDEX}'
              key: 'measurementsInletSensorValuermsactivePower[{#SNMPVALUE}]'
              delay: '60'
              value_type: FLOAT
              trends: 1825d
              units: W
              tags:
                - tag: Application
                  value: Inlets
            - uuid: 1938e1bd1f6d4d33a11c898984065ad4
              name: 'Inlet Apparent Power {#SNMPINDEX}'
              type: SNMP_AGENT
              snmp_oid: '.1.3.6.1.4.1.13742.4.1.20.2.1.10.{#SNMPINDEX}'
              key: 'measurementsInletSensorValuermsapparentPower[{#SNMPVALUE}]'
              delay: '60'
              value_type: FLOAT
              trends: 1825d
              units: VA
              tags:
                - tag: Application
                  value: Inlets
            - uuid: 8dfd6d90abcd4eb182158385af77636a
              name: 'Inlet Power Factor {#SNMPINDEX}'
              type: SNMP_AGENT
              snmp_oid: '.1.3.6.1.4.1.13742.4.1.20.2.1.11.{#SNMPINDEX}'
              key: 'measurementsInletSensorValuermspowerFactor[{#SNMPVALUE}]'
              delay: '60'
              value_type: FLOAT
              trends: 1825d
              preprocessing:
                - type: MULTIPLIER
                  parameters:
                    - '0.01'
              tags:
                - tag: Application
                  value: Inlets
            - uuid: b08ac56ae26243e6a58a6c3e9a79b9b0
              name: 'Inlet Voltage {#SNMPINDEX}'
              type: SNMP_AGENT
              snmp_oid: '.1.3.6.1.4.1.13742.4.1.20.2.1.8.{#SNMPINDEX}'
              key: 'measurementsInletSensorValuermsVoltage[{#SNMPVALUE}]'
              delay: '60'
              value_type: FLOAT
              trends: 1825d
              units: V
              preprocessing:
                - type: MULTIPLIER
                  parameters:
                    - '0.001'
              tags:
                - tag: Application
                  value: Inlets
          graph_prototypes:
            - uuid: 0ee94315a7214d39bf96e575a2c774de
              name: 'Inlet Current and Voltage {#SNMPVALUE}'
              graph_items:
                - color: FF0000
                  item:
                    host: 'Raritan PDU'
                    key: 'measurementsInletSensorValuermsVoltage[{#SNMPVALUE}]'
                - sortorder: '1'
                  color: 199C0D
                  yaxisside: RIGHT
                  calc_fnc: ALL
                  item:
                    host: 'Raritan PDU'
                    key: 'inletSensorDecimalDigitsrmsCurrent[{#SNMPVALUE}]'
            - uuid: 2f5021d3c0244f4d9e5d2be90ad3ef38
              name: 'Inlet Power {#SNMPVALUE}'
              graph_items:
                - color: 199C0D
                  calc_fnc: ALL
                  item:
                    host: 'Raritan PDU'
                    key: 'measurementsInletSensorValuermsactivePower[{#SNMPVALUE}]'
                - sortorder: '1'
                  color: F63100
                  calc_fnc: ALL
                  item:
                    host: 'Raritan PDU'
                    key: 'measurementsInletSensorValuermsapparentPower[{#SNMPVALUE}]'
        - uuid: 40501cfba55b497a840ee7d6483661f7
          name: Outlets
          type: SNMP_AGENT
          snmp_oid: 'discovery[{#SNMPVALUE},.1.3.6.1.4.1.13742.4.1.2.2.1.1]'
          key: pduOutlet
          delay: '3600'
          filter:
            conditions:
              - macro: '{#SNMPVALUE}'
                value: '.*'
                formulaid: A
          enabled_lifetime_type: DISABLE_NEVER
          item_prototypes:
            - uuid: be925868e99944f6a6b270e8af74842e
              name: 'Outlet Switch Status {#SNMPINDEX}'
              type: SNMP_AGENT
              snmp_oid: '.1.3.6.1.4.1.13742.4.1.2.2.1.3.{#SNMPINDEX}'
              key: 'OnOffStatus[{#SNMPVALUE}]'
              delay: '300'
              valuemap:
                name: 'Raritan PDU State Enumeration'
              tags:
                - tag: Application
                  value: Outlets
            - uuid: a06c2fd0f9294bbd88e80db9aa0c0295
              name: 'Outlet Active Power {#SNMPINDEX}'
              type: SNMP_AGENT
              snmp_oid: '.1.3.6.1.4.1.13742.4.1.2.2.1.7.{#SNMPINDEX}'
              key: 'OutletActivePower[{#SNMPVALUE}]'
              delay: '60'
              value_type: FLOAT
              units: W
              tags:
                - tag: Application
                  value: Outlets
            - uuid: 8f5eabdbf5114acb98a8fcf3470d7fac
              name: 'Outlet Apparent Power {#SNMPINDEX}'
              type: SNMP_AGENT
              snmp_oid: '.1.3.6.1.4.1.13742.4.1.2.2.1.8.{#SNMPINDEX}'
              key: 'OutletApparentPower[{#SNMPVALUE}]'
              value_type: FLOAT
              units: VA
              tags:
                - tag: Application
                  value: Outlets
            - uuid: 04169f406f3e46b5bc528e20c9ed638f
              name: 'Outlet Current {#SNMPINDEX}'
              type: SNMP_AGENT
              snmp_oid: '.1.3.6.1.4.1.13742.4.1.2.2.1.4.{#SNMPINDEX}'
              key: 'OutletCurrent[{#SNMPVALUE}]'
              value_type: FLOAT
              units: A
              preprocessing:
                - type: MULTIPLIER
                  parameters:
                    - '0.001'
              tags:
                - tag: Application
                  value: Outlets
            - uuid: 30b85f0bf6a04cf986f3e970da50cc4c
              name: 'Outlet Name {#SNMPINDEX}'
              type: SNMP_AGENT
              snmp_oid: '.1.3.6.1.4.1.13742.4.1.2.2.1.2.{#SNMPINDEX}'
              key: 'OutletName[{#SNMPVALUE}]'
              delay: '3600'
              value_type: CHAR
              trends: '0'
              tags:
                - tag: Application
                  value: Outlets
            - uuid: 91e466c7dabf482ca3e83ab0ba405ec9
              name: 'Outlet Power Factor {#SNMPINDEX}'
              type: SNMP_AGENT
              snmp_oid: '.1.3.6.1.4.1.13742.4.1.2.2.1.9.{#SNMPINDEX}'
              key: 'OutletPowerFactor[{#SNMPVALUE}]'
              value_type: FLOAT
              preprocessing:
                - type: MULTIPLIER
                  parameters:
                    - '0.01'
            - uuid: ec7f7801601c477fbf196144c47b7a8f
              name: 'Outlet Voltage {#SNMPINDEX}'
              type: SNMP_AGENT
              snmp_oid: '.1.3.6.1.4.1.13742.4.1.2.2.1.6.{#SNMPINDEX}'
              key: 'OutletVolts[{#SNMPVALUE}]'
              delay: '300'
              value_type: FLOAT
              units: V
              preprocessing:
                - type: MULTIPLIER
                  parameters:
                    - '0.001'
              tags:
                - tag: Application
                  value: Outlets
          graph_prototypes:
            - uuid: 3a21860850c3417593839cf325367a56
              name: 'Outlet Current and Voltage {#SNMPINDEX}'
              graph_items:
                - color: F63100
                  calc_fnc: ALL
                  item:
                    host: 'Raritan PDU'
                    key: 'OutletVolts[{#SNMPVALUE}]'
                - sortorder: '1'
                  color: 199C0D
                  yaxisside: RIGHT
                  calc_fnc: ALL
                  item:
                    host: 'Raritan PDU'
                    key: 'OutletCurrent[{#SNMPVALUE}]'
            - uuid: 14cf48a39bcb4a7088d50399b0433952
              name: 'Outlet Power {#SNMPINDEX}'
              graph_items:
                - color: 199C0D
                  calc_fnc: ALL
                  item:
                    host: 'Raritan PDU'
                    key: 'OutletActivePower[{#SNMPVALUE}]'
                - sortorder: '1'
                  color: F63100
                  calc_fnc: ALL
                  item:
                    host: 'Raritan PDU'
                    key: 'OutletApparentPower[{#SNMPVALUE}]'
      valuemaps:
        - uuid: 1fb7799dfa324164b2262f8f56008455
          name: 'Host status'
          mappings:
            - value: '0'
              newvalue: Up
            - value: '2'
              newvalue: Unreachable
        - uuid: d00fa543d8874f35aad4ea777f339ff3
          name: 'Raritan PDU OverCurrent Protector Type Enumeration'
          mappings:
            - value: '1'
              newvalue: '1 Pole Breaker'
            - value: '2'
              newvalue: '2 Pole Breaker'
            - value: '3'
              newvalue: '3 Pole Breaker'
            - value: '4'
              newvalue: Fuse
            - value: '5'
              newvalue: 'Fuse Pair'
            - value: '6'
              newvalue: 'RCBO 2 Pole'
            - value: '7'
              newvalue: 'RCBO 3 Pole'
            - value: '8'
              newvalue: 'RCBO 4 Pole'
        - uuid: d98c810d6b9743178168d9dc3f17bacb
          name: 'Raritan PDU Sensor Type Enumeration'
          mappings:
            - value: '1'
              newvalue: 'RMS Current'
            - value: '2'
              newvalue: 'Peak Current'
            - value: '3'
              newvalue: 'Unbalanced Current'
            - value: '4'
              newvalue: 'RMS Voltage'
            - value: '5'
              newvalue: 'Active Power'
            - value: '6'
              newvalue: 'Apparent Power'
            - value: '7'
              newvalue: 'Power Factor'
            - value: '8'
              newvalue: 'Active Energy'
            - value: '9'
              newvalue: 'Apparent Energy'
            - value: '10'
              newvalue: Temperature
            - value: '11'
              newvalue: Humidity
            - value: '12'
              newvalue: 'Air Flow'
            - value: '13'
              newvalue: 'Air Pressure'
            - value: '14'
              newvalue: 'On Off'
            - value: '15'
              newvalue: Trip
            - value: '16'
              newvalue: Vibration
            - value: '17'
              newvalue: 'Water Detection'
            - value: '18'
              newvalue: 'Smoke Detection'
            - value: '19'
              newvalue: Binary
            - value: '20'
              newvalue: Contact
            - value: '21'
              newvalue: 'Fan Speed'
            - value: '22'
              newvalue: 'Surge Protector Status'
            - value: '23'
              newvalue: Frequency
            - value: '24'
              newvalue: 'Phase Angle'
            - value: '25'
              newvalue: 'RMS Voltage LN'
            - value: '26'
              newvalue: 'Residual Current'
            - value: '27'
              newvalue: 'RCM State'
            - value: '28'
              newvalue: 'Absolute Humidity'
            - value: '29'
              newvalue: 'Reactive Power'
            - value: '30'
              newvalue: Other
            - value: '31'
              newvalue: None
            - value: '32'
              newvalue: 'Power Quality'
            - value: '33'
              newvalue: 'Over Load Status'
            - value: '34'
              newvalue: 'Over Heat Status'
            - value: '35'
              newvalue: 'Displacement Power Factor'
            - value: '36'
              newvalue: 'Residual DC Current'
            - value: '37'
              newvalue: 'Fan Status'
            - value: '38'
              newvalue: 'Inlet Phase Sync Angle'
            - value: '39'
              newvalue: 'Inlet Phase Sync'
            - value: '40'
              newvalue: 'Operating State'
            - value: '41'
              newvalue: 'Active Inlet'
            - value: '42'
              newvalue: Illuminance
            - value: '43'
              newvalue: 'Door Contact'
            - value: '44'
              newvalue: 'Tamper Detection'
            - value: '45'
              newvalue: 'Motion Detection'
            - value: '46'
              newvalue: i1smpsStatus
            - value: '47'
              newvalue: i2smpsStatus
            - value: '48'
              newvalue: 'Switch Status'
            - value: '49'
              newvalue: 'Door Lock State'
            - value: '50'
              newvalue: 'Door Handle Lock'
            - value: '51'
              newvalue: 'Crest Factor'
            - value: '52'
              newvalue: Length
            - value: '53'
              newvalue: Distance
            - value: '54'
              newvalue: 'Active Power Demand'
            - value: '55'
              newvalue: 'Residual AC Current'
            - value: '56'
              newvalue: 'Particle Density'
            - value: '57'
              newvalue: 'Voltage Total Harmonic Distortion'
            - value: '58'
              newvalue: 'Current Total Harmonic Distortion'
            - value: '59'
              newvalue: 'In Rush Current'
            - value: '60'
              newvalue: 'Unbalanced Voltage'
            - value: '61'
              newvalue: 'Unbalanced Line Line Current'
            - value: '62'
              newvalue: 'Unbalanced Line Line Voltage'
            - value: '63'
              newvalue: 'Dew Point'
            - value: '64'
              newvalue: Mass
            - value: '65'
              newvalue: Flux
            - value: '66'
              newvalue: 'Luminous Intensity'
            - value: '67'
              newvalue: 'Luminous Energy'
            - value: '68'
              newvalue: 'Luminous Flux'
            - value: '69'
              newvalue: 'Luminous Emittance'
            - value: '70'
              newvalue: 'Electrical Resistance'
            - value: '71'
              newvalue: 'Electrical Impedance'
            - value: '72'
              newvalue: 'Total Harmonic Distortion'
            - value: '73'
              newvalue: 'Magnetic Field Strength'
            - value: '74'
              newvalue: 'Magnetic Flux Density'
            - value: '75'
              newvalue: 'Electric Field Strength'
            - value: '76'
              newvalue: Selection
            - value: '77'
              newvalue: 'Rotational Speed'
        - uuid: 1aa964c2caea4e93ae79ea6e9d91df67
          name: 'Raritan PDU State Enumeration'
          mappings:
            - value: '-1'
              newvalue: Unavailable
            - value: '0'
              newvalue: Open
            - value: '1'
              newvalue: Closed
            - value: '2'
              newvalue: 'Below Lower Critical'
            - value: '3'
              newvalue: 'Below Lower Warning'
            - value: '4'
              newvalue: Normal
            - value: '5'
              newvalue: 'Above Upper Warning'
            - value: '6'
              newvalue: 'Above Upper Critical'
            - value: '7'
              newvalue: 'On'
            - value: '8'
              newvalue: 'Off'
            - value: '9'
              newvalue: Detected
            - value: '10'
              newvalue: 'Not Detected'
            - value: '11'
              newvalue: Alarmed
            - value: '12'
              newvalue: Okay
            - value: '13'
              newvalue: Fail
            - value: '14'
              newvalue: 'Yes'
            - value: '15'
              newvalue: 'No'
            - value: '16'
              newvalue: Standby
            - value: '17'
              newvalue: One
            - value: '18'
              newvalue: Two
            - value: '19'
              newvalue: 'In Sync'
            - value: '20'
              newvalue: 'Out of Sync'
            - value: '21'
              newvalue: i1OpenFault
            - value: '22'
              newvalue: i1ShortFault
            - value: '23'
              newvalue: i2OpenFault
            - value: '24'
              newvalue: i2ShortFault
            - value: '25'
              newvalue: Fault
            - value: '26'
              newvalue: Warning
            - value: '27'
              newvalue: Critical
            - value: '28'
              newvalue: 'Self Test'
            - value: '29'
              newvalue: Non-redundant
        - uuid: 1e31bd42758f41bb99c6bb72ccf1496b
          name: 'Raritan PDU Units Enumeration'
          mappings:
            - value: '-1'
              newvalue: None
            - value: '0'
              newvalue: Other
            - value: '1'
              newvalue: Volt
            - value: '2'
              newvalue: Amp
            - value: '3'
              newvalue: Watt
            - value: '4'
              newvalue: 'Volt Amp'
            - value: '5'
              newvalue: 'Watt Hour'
            - value: '6'
              newvalue: 'Volt amp Hour'
            - value: '7'
              newvalue: 'Degree C'
            - value: '8'
              newvalue: Hertz
            - value: '9'
              newvalue: Percent
            - value: '10'
              newvalue: 'Meter per Sec'
            - value: '11'
              newvalue: Pascal
            - value: '12'
              newvalue: psi
            - value: '13'
              newvalue: g
            - value: '14'
              newvalue: 'Degree F'
            - value: '15'
              newvalue: feet
            - value: '16'
              newvalue: inches
            - value: '17'
              newvalue: cm
            - value: '18'
              newvalue: Meters
            - value: '19'
              newvalue: rpm
            - value: '20'
              newvalue: Degrees
            - value: '21'
              newvalue: Lux
            - value: '22'
              newvalue: 'Gram per Cubic Meter'
            - value: '23'
              newvalue: var
            - value: '24'
              newvalue: 'Feet per Sec'
            - value: '25'
              newvalue: 'Lbs per Cubic Foot'
            - value: '26'
              newvalue: 'Micro Gram per Cubic Meter'
            - value: '27'
              newvalue: Hour
            - value: '28'
              newvalue: Minute
            - value: '29'
              newvalue: Second
            - value: '30'
              newvalue: Coulomb
            - value: '31'
              newvalue: Kelvin
            - value: '32'
              newvalue: 'Volt Amp Reactive Hour'
            - value: '33'
              newvalue: 'Volt per Ampere'
            - value: '34'
              newvalue: 'Volt per Meter'
            - value: '35'
              newvalue: gram
            - value: '36'
              newvalue: 'Meter per Square Sec'
            - value: '37'
              newvalue: 'Liters per Hour'
            - value: '38'
              newvalue: Nit
            - value: '39'
              newvalue: Candela
            - value: '40'
              newvalue: Lumen
            - value: '41'
              newvalue: 'Lumen Second'
            - value: '42'
              newvalue: 'Cubic Meter'
            - value: '43'
              newvalue: Radiant
            - value: '44'
              newvalue: Steradiant
            - value: '45'
              newvalue: Newton
            - value: '46'
              newvalue: Joule
            - value: '47'
              newvalue: Ohm
            - value: '48'
              newvalue: Tesla
            - value: '49'
              newvalue: Henry
            - value: '50'
              newvalue: Farad
            - value: '51'
              newvalue: Mol
            - value: '52'
              newvalue: Becquerel
            - value: '53'
              newvalue: Gray
            - value: '54'
              newvalue: Sievert
